# Doug Leith, Hamilton Institute, 2007.  

# Specify number of algorithms to compare 
NUMCC=2

# Algorithms to compare (should correspond to appropriate CC_DESCRIPTION in config.sh)
CC[1]="Standard TCP (Linux)"
CC[2]="Standard TCP(NS)"
CCLABEL[1]="StandardTCP-Linux"
CCLABEL[2]="StandardTCP-NS"

# Specify number of tests to compare
NUMTESTS=2

# Tests to compare (should correspond to label passed to runtest() )
TEST[1]="samertt"
TEST[2]="diffrtt2"
TEST[3]="friendliness"
TEST[4]="efficiency"

# Get environment variables
source config.sh

# Get plotting routines
source ${LIB}/lib.sh

if [ ! -d "combined" ]; then mkdir "combined"; fi
# Collect summary measurement data ...
for ii in `seq 1 $NUMTESTS`; do
   TESTID=${TEST[$ii]}
   if [ ! -d "combined/${TESTID}" ]; then mkdir "combined/${TESTID}"; fi
   rm -f  combined/${TESTID}/mgoodput
   for jj in `seq 1 $NUMCC`; do
     sort -n -k 3,3 "${CC[$jj]}/${TESTID}/mgoodput" | awk -v cc="${CCLABEL[$jj]}" '{print $0, cc}'  >> combined/${TESTID}/mgoodput
   done

   # Extract parameters
   cd "combined/${TESTID}"
   cp ${LIB}/template.htm index.htm
   QMAX=`cut -d ' ' -f 1 mgoodput | sort |  uniq`
   BW=`cut -d ' ' -f 4 mgoodput | sort | uniq`
   WEB=`cut -d ' ' -f 5 mgoodput | sort | uniq`
   CCDESCRIPTION="combined"
   for ww_ in $WEB; do
      echo plotfairness $TESTID $QMAX $ww_
      plotfairness "${TESTID}" "$QMAX" ${ww_}
   done
   cd ../..
done
